# README

## Compilation
The server is intended to be run within a python 3.6 environment on the host specified in `connection.py`.
The client is intended to be compiled with
```
echo debug = False > debug.py &&\
python -OO -m PyInstaller run_client.py &&\
echo debug = True > debug.py
```
where `pyinstaller` can be installed using pip.

On the server you can install the required packages using pip:
```
pip3 install bottle requests
```
and start the server using
```
python3 -OO run_server.py
```